Subject: Run Cygwin+Apache+PHP on win98
From: "kalmen" <[email-masked]>
To: [email-masked]
Date: Sat, 15 Mar 2003 06:46:31 +0800

HI,
I installed Cygwin on win98se , and I having problems with the execution of
PHP code , because of the security issues of win98 , and would like to ask
is there a way to get
around this ,

Description of the problems
1. my test.php is as follow :
#!/php/php.exe
<?php
     phpinfo();
?>

2. if I don't put the 1st line , the apache server will complain , file
permissions deny server execution Error
    then if I put the 1st line , I believe PHP complain , Premature end of
script headers, because of the 1st line ,
    I guess.

my questions :
1. Can I get around this issues ?
2. And also when I installed apache php modules , it complains dlopen()
win32 error , so I have to use the
    php.exe , to try. Any idea ? Any reference about this issues ? , I tried
google but found none .
    I also tried rebase (I only thing is I am not to sure whether I do the
right way .)
3. Is win2000 having the same issue that I have described above (the
security issues for the execution) ?

thanks.

regards,
kalmen

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/